# QFileIconProvider Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QFileIconProvider()

### Constructor Properties

- prototype: The QFileIconProvider prototype object
- Computer
- Desktop
- Trashcan
- Network
- Drive
- Folder
- File
- IconType( value )

### Prototype Object Properties

- QIcon icon(IconType type)
- String type(QFileInfo info)

### Instance Properties

QFileIconProvider objects have no special properties beyond those inherited from the QFileIconProvider prototype object.